## ushare 1.1a

=== Makefile ===
ifeq (,$(wildcard config.mak))
$(error "config.mak is not present, run configure !")
endif
include config.mak

DISTFILE = ushare-$(VERSION).tar.bz2

EXTRADIST = AUTHORS \
	    ChangeLog \
	    configure \
	    COPYING \
	    NEWS \
	    README \
	    THANKS \
	    TODO \

SUBDIRS = po \
	  scripts \
	  src \

all:
	for subdir in $(SUBDIRS); do \
	  $(MAKE) -C $$subdir $@; \
	done

clean:
	for subdir in $(SUBDIRS); do \
	  $(MAKE) -C $$subdir $@; \
	done

distclean: clean
	for subdir in $(SUBDIRS); do \
	  $(MAKE) -C $$subdir $@; \
	done
	-$(RM) -f config.log
	-$(RM) -f config.mak
	-$(RM) -f config.h


install:
	for subdir in $(SUBDIRS); do \
	  $(MAKE) -C $$subdir $@; \
	done

.PHONY: clean distclean install

dist:
	-$(RM) $(DISTFILE)
	dist=$(shell pwd)/ushare-$(VERSION) && \
	for subdir in . $(SUBDIRS); do \
		mkdir -p "$$dist/$$subdir"; \
		$(MAKE) -C $$subdir dist-all DIST="$$dist/$$subdir"; \
	done && \
	tar cjf $(DISTFILE) ushare-$(VERSION)
	-$(RM) -rf ushare-$(VERSION)

dist-all:
	cp $(EXTRADIST) $(SRCS) Makefile $(DIST)

.PHONY: dist dist-all

=== po/Makefile ===
ifeq (,$(wildcard ../config.mak))
$(error "../config.mak is not present, run configure !")
endif
include ../config.mak

top_srcdir = ..

DOMAIN = ushare

# Languages to generate
LANGS = fr de

GMSGFMT = /usr/bin/msgfmt
XGETTEXT = /usr/bin/xgettext
MSGMERGE = msgmerge
MSGMERGE_UPDATE = /usr/bin/msgmerge --update
MSGINIT = msginit
MSGCONV = msgconv
MSGFILTER = msgfilter

EXTRADIST = $(POFILES) $(GMOFILES) \
	POTFILES \
	$(DOMAIN).pot \

GMOFILES = $(addsuffix .gmo,$(LANGS))
POFILES = $(addsuffix .po,$(LANGS))
POTFILES = $(shell for f in `cat POTFILES`; do echo -n "$(top_srcdir)/$$f "; done)


all: stamp-po

stamp-po: $(DOMAIN).pot
	$(MAKE) $(GMOFILES)
	touch $@

.po.gmo:
	$(GMSGFMT) -c --statistics -o $@ $<

.SUFFIXES: .po .gmo


$(POFILES): $(DOMAIN).pot
	$(MSGMERGE_UPDATE) $@ $(DOMAIN).pot;


update-po:
	$(MAKE) $(DOMAIN).pot-update
	$(MAKE) update-gmo

update-gmo: $(GMOFILES)
	@:

.PHONY: update-po update-gmo

# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
$(DOMAIN).pot-update: $(POTFILES) POTFILES
	$(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	  --add-comments=TRANSLATORS:  \
	  --keyword=_ --keyword=N_ \
	  --files-from=POTFILES \
	  --copyright-holder='http://ushare.geexbox.org' \
	  --msgid-bugs-address="ushare@geexbox.org" \
	  -o $(DOMAIN).pot

# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
# every "make" invocation, only create it when it is missing.
# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
$(DOMAIN).pot:
	$(MAKE) $(DOMAIN).pot-update

clean:
	-$(RM) -f stamp-po

distclean: clean
	-$(RM) -f $(GMOFILES)

install: $(GMOFILES)
	for gmo in $(GMOFILES); do \
	  lang=`echo $$gmo | sed -e 's/\.gmo$$//'`; \
	  $(INSTALL) -d $(localedir)/$$lang/LC_MESSAGES; \
	  $(INSTALL) -m 644 $$lang.gmo $(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done


dist-all: $(GMOFILES)
	cp $(EXTRADIST) $(SRCS) Makefile $(DIST)

.PHONY: dist-all install clean distclean

=== scripts/Makefile ===
ifeq (,$(wildcard ../config.mak))
$(error "config.mak is not present, run configure !")
endif
include ../config.mak

CONF_FILE  = "ushare.conf"
INITD_FILE = "ushare"

EXTRADIST = $(CONF_FILE) $(INITD_FILE)

all:

clean:

distclean:

install:
	$(INSTALL) -d $(sysconfdir)
	$(INSTALL) -m 644 $(CONF_FILE) $(sysconfdir)
	$(INSTALL) -d $(sysconfdir)/init.d
	$(INSTALL) -m 755 $(INITD_FILE) $(sysconfdir)/init.d

dist-all:
	cp $(EXTRADIST) $(SRCS) Makefile $(DIST)

.PHONY: clean disctlean install dist-all

=== src/Makefile ===
ifeq (,$(wildcard ../config.mak))
$(error "../config.mak is not present, run configure !")
endif
include ../config.mak

PROG = ushare

EXTRADIST = ushare.1 \
	cds.h \
	cms.h \
	msr.h \
	http.h \
	presentation.h \
	metadata.h \
	mime.h \
	services.h \
	buffer.h \
	util_iconv.h \
	content.h \
	cfgparser.h \
	trace.h \
	redblack.h \
	osdep.h \
	ctrl_telnet.h \
	ushare.h \
	gettext.h \
	minmax.h \


SRCS = \
        cds.c \
        cms.c \
        msr.c \
        http.c \
        presentation.c \
        metadata.c \
        mime.c \
        services.c \
        buffer.c \
        util_iconv.c \
        content.c \
        cfgparser.c \
        trace.c \
        redblack.c \
        osdep.c \
        ctrl_telnet.c \
        ushare.c

OBJS = $(SRCS:.c=.o)

.SUFFIXES: .c .o

all: depend $(PROG)

.c.o:
	$(CC) -c $(CFLAGS) $(OPTFLAGS) -o $@ $<

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDFLAGS) $(EXTRALIBS) -o $@

clean:
	-$(RM) -f *.o $(PROG)
	-$(RM) -f .depend

distclean:

install: $(PROG)
	$(INSTALL) -d $(bindir)
	$(INSTALL) $(PROG) $(bindir)
	$(STRIP) $(INSTALLSTRIP) $(bindir)/$(PROG)

depend:
	$(CC) -I.. -MM $(CFLAGS) $(SRCS) 1>.depend

.PHONY: clean distclean install depend

dist-all:
	cp $(EXTRADIST) $(SRCS) Makefile $(DIST)

.PHONY: dist-all

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
ushare (1.1a-0ubuntu10) saucy; urgency=low

  * Typo in ushare init script ( LP: #1044024)

 -- Nitin Kushwah <abhi4u.blr@gmail.com>  Wed, 24 Jul 2013 00:51:35 +0530

ushare (1.1a-0ubuntu9) quantal; urgency=low

  * debian/patches/fix-implicit-pointers.patch:
    - And fix FTBFS on amd64 by including string.h

 -- Michael Terry <mterry@ubuntu.com>  Mon, 02 Jul 2012 20:37:14 -0400

ushare (1.1a-0ubuntu8) quantal; urgency=low

  * Rebuild for libupnp3->libupnp6 transition
  * debian/patches/latest-upnp-api.patch:
    - libupnp changed a sockaddr header field slightly that was only
      used in some ushare debugging code; drop the use of that
      field rather than bother to make it ipv6 compatible

 -- Michael Terry <mterry@ubuntu.com>  Mon, 02 Jul 2012 18:06:30 -0400

ushare (1.1a-0ubuntu7) precise; urgency=low

  * Fix FTBFS with -Werror=format-security.
  * Switch to source format 3.0 (quilt).
  * Bump Standards-Version to 3.9.2.

 -- Ilya Barygin <randomaction@ubuntu.com>  Tue, 03 Jan 2012 23:35:53 +0400

ushare (1.1a-0ubuntu6) oneiric; urgency=low

  * Use dh-translations rather than cdbs langpack.mk (which no longer
    exists).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Aug 2011 13:14:12 +0100

ushare (1.1a-0ubuntu5) lucid; urgency=low

  * Update copyright dates
  * Change compat to 7
  * Add backport r427 to fix the names in ushare.conf (LP: #250122)
  * Fix script restart (LP: #378788)
  * Fix launching order sequence (LP: #386965)
  * Remove /sbin path in config maintainer script

 -- Alexis Saettler <alexis@saettler.org>  Sat, 16 Jan 2010 13:36:16 +0100

ushare (1.1a-0ubuntu4) karmic; urgency=low

  * No-change rebuild to pick up new shlibs file of ffmpeg.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sat, 29 Aug 2009 23:37:40 +0200

ushare (1.1a-0ubuntu3) jaunty; urgency=low

  * Rebuild to pickup ffmpeg's new shlibs (LP: #289600)

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sat, 15 Nov 2008 17:03:40 +0100

ushare (1.1a-0ubuntu2) intrepid; urgency=low

  * Rebuild for the ffmpeg -> ffmpeg-free transition (LP: #245571). 

 -- Michael Bienia <geser@ubuntu.com>  Tue, 08 Jul 2008 15:46:37 +0200

ushare (1.1a-0ubuntu1) hardy; urgency=low

  * initial release in ubuntu (LP: #188629)

 -- Alexis Saettler <alexis@saettler.org>  Sun, 03 Feb 2008 15:56:51 +0100

=== debian/control ===
Source: ushare
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Alexis Saettler <alexis@saettler.org>
XSBC-Original-Maintainer: Alexis Saettler <alexis@saettler.org>
Homepage: http://ushare.geexbox.org
Build-Depends: debhelper (>= 7.3.15), cdbs (>= 0.4.59), libupnp-dev (>= 1.4.2), libdlna-dev (>= 0.2.1), pkg-config, po-debconf, dh-translations
Standards-Version: 3.9.2
Vcs-Hg: http://hg.geexbox.org/ushare
Vcs-Browser: http://hg.geexbox.org/ushare/summary

Package: ushare
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: lightweight UPnP A/V Media Server
 GeeXboX uShare is a UPnP (TM) A/V Media Server. It implements the server
 component that provides UPnP media devices with information on available
 multimedia files. uShare uses the built-in http server of libupnp to stream
 the files to clients.
 .
 uShare is written in C for the GeeXboX project. It is designed to provide
 access to multimedia contents to GeeXboX but can of course be used by any
 other UPnP client device.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_INSTALL_CHANGELOGS_ALL := ChangeLog
DEB_INSTALL_DIRS_ushare := /usr/share/ushare
DEB_INSTALL_MANPAGES_ushare := src/ushare.1
USHARE_INIT := $(CURDIR)/debian/ushare.init
DEB_UPDATE_RCD_PARAMS_ushare := defaults 80 20

# make targets
DEB_MAKE_CLEAN_TARGET    := distclean
DEB_MAKE_BUILD_TARGET    := 
DEB_MAKE_INSTALL_TARGET  := install DESTDIR=$(DEB_DESTDIR)

# configure options
DEB_CONFIGURE_NORMAL_ARGS += --enable-debug
DEB_CONFIGURE_NORMAL_ARGS += --enable-dlna
DEB_CONFIGURE_PREFIXS     += --prefix=/usr
DEB_CONFIGURE_PREFIXS     += --sysconfdir=/etc


configure/ushare::
	[ -f config.mak ] || ./configure $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_PREFIXS)

# copy init script, to use with dh_installinit
install/ushare::
	cp $(CURDIR)/scripts/ushare $(USHARE_INIT)
	mv $(CURDIR)/debian/$(cdbs_curpkg)/etc/ushare.conf $(CURDIR)/debian/$(cdbs_curpkg)/usr/share/ushare/
	sed -i -e "s%\(/etc/ushare.conf\)%\1\n# Edit this file with 'dpkg-reconfigure $(cdbs_curpkg)'%" \
		$(CURDIR)/debian/$(cdbs_curpkg)/usr/share/ushare/ushare.conf

binary-install/ushare::
	dh_translations -p$(cdbs_curpkg)


clean::
	debconf-updatepo

=== debian/watch ===
version=3
http://ushare.geexbox.org/releases/ushare-(.*)\.tar\.bz2
